import * as ec2 from '@aws-cdk/aws-ec2';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface ClusterProps {
    /**
     * @stability stable
     */
    readonly vpc?: ec2.IVpc;
    /**
     * @stability stable
     */
    readonly defaultInstanceType?: ec2.InstanceType;
    /**
     * @stability stable
     */
    readonly capacitySize?: number;
    /**
     * AMI for the EKS-D instance node.
     *
     * @default - The latest AMI from ubuntu-focal-20.04-amd64-server
     * @stability stable
     */
    readonly machineImage?: ec2.IMachineImage;
}
/**
 * @stability stable
 */
export declare class Cluster extends cdk.Construct {
    private readonly defaultInstanceType;
    private readonly defaultCapacitySize;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props?: ClusterProps);
}
/**
 * The AMI provider to get the latest Ubuntu Linux AMI.
 *
 * @stability stable
 */
export declare class UbumtuAmiProvider {
    readonly userData: ec2.UserData;
    /**
     * @stability stable
     */
    constructor(userData: ec2.UserData);
    /**
     * @stability stable
     */
    get amiId(): ec2.IMachineImage;
}
